"use strict";
const common_vendor = require("../../common/vendor.js");
const WORKORDER_update_work_time_method = require("./method.js");
const WORKORDER_update_work_time_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWorkStore.js");
require("../../gen/Apis.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
require("../../common/libraries/setTabBar.js");
if (!Array) {
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_reservation_picker2 = common_vendor.resolveComponent("hs-reservation-picker");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_cell2 + _easycom_hs_reservation_picker2 + _easycom_hs_footer2)();
}
const _easycom_hs_cell = () => "../../components/hs-cell/hs-cell.js";
const _easycom_hs_reservation_picker = () => "../../components/hs-reservation-picker/hs-reservation-picker.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_cell + _easycom_hs_reservation_picker + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = WORKORDER_update_work_time_method.method) == null ? void 0 : _a.init(e);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d;
      return {
        a: common_vendor.p({
          title: "原处理时间",
          required: true,
          borderTop: true,
          value: (_c = (_b = (_a = common_vendor.unref(WORKORDER_update_work_time_model.useModel)) == null ? void 0 : _a.formData) == null ? void 0 : _b.value) == null ? void 0 : _c.day
        }),
        b: common_vendor.o(($event) => common_vendor.unref(WORKORDER_update_work_time_model.useModel).formData.value.expect_start_time = $event),
        c: common_vendor.o(($event) => common_vendor.unref(WORKORDER_update_work_time_model.useModel).formData.value.expect_end_time = $event),
        d: common_vendor.p({
          title: "新期望上门时间",
          required: true,
          valueExpectStartTime: common_vendor.unref(WORKORDER_update_work_time_model.useModel).formData.value.expect_start_time,
          valueExpectEndTime: common_vendor.unref(WORKORDER_update_work_time_model.useModel).formData.value.expect_end_time
        }),
        e: common_vendor.o((_d = common_vendor.unref(WORKORDER_update_work_time_method.method)) == null ? void 0 : _d.handleSubmit),
        f: common_vendor.p({
          btnParimaryName: "提交"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/WORKORDER/update_work_time/index.vue"]]);
wx.createPage(MiniProgramPage);
